Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454350 - bluetooth phone conection
Summary: bluetooth phone conection
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 21:20 UTC by Ronald Kuetemeier
Modified: 2015-03-03 22:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-06 14:33:46 UTC


Attachments (Terms of Use)

Description Ronald Kuetemeier 2008-07-07 21:20:23 UTC
Description of problem:
Nautilus doesn't show drives/folders
Phone Nokia 6682.
Works in FC8.

How reproducible:
Always


Additional info:
/usr/libexec/gvfsd-obexftp --spawner :1.6 /org/gtk/gvfs/exec_spaw/8
is running.

gnome-user-share-0.31-1.fc9.i386 
bluez-gnome-0.26-1.fc9.i386
bluez-utils-3.32-1.fc9.i386
gvfs-0.2.5-1.fc9.i386

Open location shows:
obex://[00:13:70:6C:EE:C9]/

For testing: 
obexftp -b 00:13:70:6C:EE:C9  -l 
Browsing 00:13:70:6C:EE:C9 ...
Connecting...done
Receiving "(null)"... <?xml version="1.0"?>
<!DOCTYPE folder-listing SYSTEM "obex-folder-listing.dtd"
  [ <!ATTLIST folder mem-type CDATA #IMPLIED>
  <!ATTLIST folder label CDATA #IMPLIED> ]>
<folder-listing version="1.0">
   <folder name="C:" user-perm="RW" mem-type="DEV" label="Phone memory"/>
   <folder name="E:" user-perm="RW" mem-type="MMC" label="Memory card"/>
</folder-listing>done

Comment 1 Tomáš Bžatek 2008-07-09 11:22:40 UTC
What about gvfs-mount and gvfs-ls/gvfs-info with the
"obex://[00:13:70:6C:EE:C9]/" URI? Can you please post error messages here?

Comment 2 Ronald Kuetemeier 2008-07-09 14:13:59 UTC
Hope this helps. No errors. 
BTW. as a workaround I use a fuse fs, obexfs, works just fine.


[ronald@acer ~]$ gvfs-ls obex://[00:13:70:6C:EE:C9]/
[ronald@acer ~]$ gvfs-info obex://[00:13:70:6C:EE:C9]/
display name: / on Nokia 6682
name: /
type: directory
size: 0
attributes:
  standard::type: 2
  standard::content-type: inode/directory
  standard::name: /
  standard::display-name: / on Nokia 6682
  id::filesystem: host='[00:13:70:6C:EE:C9]',type='obex',mount_prefix='/'
[ronald@acer ~]$ 


Comment 3 Bastien Nocera 2009-03-05 14:39:52 UTC
I believe that's fixed in F10. The problem was with the colons in the directory names. If it still happens, you can launch:
/usr/libexec/gvfsd-obexftp host="[00:13:70:6C:EE:C9]"
and gather the output.

Comment 4 Ronald Kuetemeier 2009-03-05 23:38:48 UTC
I don't use that phone anymore.
This can be closed.

Comment 5 Bastien Nocera 2009-03-06 14:33:46 UTC
Ok, thanks anyway.


Note You need to log in before you can comment on or make changes to this bug.